--original author [Bayn]
--Script reworked for Brighter Real Night 2014-11-22 -JH
EventListener = {};

function EventListener:loadMap(name)
    local env = g_currentMission.environment;
    env.ambientCurve = AnimCurve:new(linearInterpolator3);
    env.ambientCurve:addKeyframe({x=-0.7, y=-0.7, z=-0.7, time = 0*60});
    env.ambientCurve:addKeyframe({x=-0.1, y=-0.1, z=-0.1, time = 6*60});
    env.ambientCurve:addKeyframe({x=0.5, y=0.5, z=0.5, time = 12*60});
    env.ambientCurve:addKeyframe({x=0.5, y=0.5, z=0.5, time = 14.5*60});
    env.ambientCurve:addKeyframe({x=1.0, y=1.0, z=1.0, time = 18*60});
    env.ambientCurve:addKeyframe({x=-0.01, y=-0.01, z=-0.01, time = 19*60});
    env.ambientCurve:addKeyframe({x=-0.01, y=-0.01, z=-0.01, time = 21*60});
    env.ambientCurve:addKeyframe({x=-0.4, y=-0.4, z=-0.4, time = 21.5*60});
    env.ambientCurve:addKeyframe({x=-0.7, y=-0.7, z=-0.7, time = 23.9*60});
end;

function EventListener:deleteMap()
end;

function EventListener:mouseEvent(posX, posY, isDown, isUp, button)
end;

function EventListener:keyEvent(unicode, sym, modifier, isDown)
end;

function EventListener:update(dt)
end;

function EventListener:draw()
end;

addModEventListener(EventListener);